.zakaz-list {
  display: flex;
  padding-top: 50px;
  flex-wrap: wrap;
  gap: 30px;
}
.zakaz-list__item {
  /*width: 33%;*/
  display: flex;
  padding-bottom: 80px;
  flex-shrink: 0;
  position: relative;
  flex: 1 1 calc(30% - 15px); /* 3 колонки */
  min-width: 300px;
}
/* Декоративные линии для всех элементов */
.zakaz-list__item::before,
.zakaz-list__item::after {
  content: "";
  position: absolute;
  top: -10px;
  border: 1px solid #666;
  box-sizing: border-box;
}

/* Левая часть линии (горизонтальная) */
.zakaz-list__item::before {
  left: 20%;
  width: 35%;
  height: 10px;
  border-bottom: none;
  border-right: none;
}

/* Правая часть линии (вертикальная) */
.zakaz-list__item::after {
  left: 55%;
  width: 30%;
  height: 25px;
  border-bottom: none;
}

/* Стили для последнего элемента в неполной строке */
/* .zakaz-list__item:last-child:nth-child(odd)::before {
  left: 10%;
    width: 20%;
    height: 10px;
    border-bottom: none;
    border-right: none;
}

.zakaz-list__item:last-child:nth-child(odd)::after {
  left: 30%;
    width: 20%;
    height: 25px;
    border-bottom: none;
} */

.model__head {
  position: relative;
    max-width: 180px;
}
.model__img {
  height: 230px;
  overflow: hidden;
  text-align: center;
}
.model__img.sku--cut {
  height: 180px;
}

.model__img img {
  height: 230px;
}
.model__character {
  text-align: center;
}
.character-type__big {
  display: inline;
}

.model__sku {
  display: flex;
  padding-top: 15px;
  /* padding-left: 10px;
    gap: 18px; */
    padding-left: 10px;
    gap: 35px;
}
.sku__items {
  /*margin-right: 18px;*/
  /*padding: 4px 4px 7px 4px;*/
    max-width: 180px;
    position: relative;
}

.sku__img {
  text-align: center;
  position: relative;
  /* height: 140px; */
}
.sku__text {
  text-align: center;
}
.sku__img img {
  max-width: 100%;
  max-height: 140px;
  /* height: 100%; */
  /*height: 140px;*/
}
.sku__img.sku--cut {
  height: 100px;
  overflow: hidden;
}
.sku__title {
  font-family: montserrat-semibold;
  color: #fbcc95;
  font-size: 12px;
  padding: 20px 0;
  text-align: center;
}
.sku__more {
  background-color: #fbcc95;
  border-radius: 10px;
  padding: 3px 15px;
  display: block;
  color: #000;
  font-size: 12px;
  display: none;
}

.select {
  display: block;
  position: relative;
  width: 15px;
  height: 15px;
  border: 1px solid #666;
  color: #666;
  margin: 0 auto;
  opacity: 0.6;
}
.select::before {
  content: "V";
  position: absolute;
  top: 0;
  left: 2px;
  font-size: 14px;
  display: none;
}
.select::after {
  content: "Включить в заказ";
  position: absolute;
  top: -30px;
  left: 20px;
  padding: 3px 5px;
  border-radius: 5px;
  background-color: #999999;
  border: 1px solid #cccccc;
  white-space: nowrap;
  font-size: 12px;
  display: none;
  z-index: 20;
}
.select:hover {
  opacity: 1;
  border-color: #fbcc95;
  color: #fbcc95;
}
.select:hover::after {
  display: block;
  color: black;
}
.select:hover::before {
  display: block;
}

.select2 {
  display: block;
  position: relative;
  width: 80px;
  height: 20px;
  border: 1px solid #666;
  color: #666;
  border-radius: 5px;
  margin: 0 auto;
  transition: all 0.3s ease;
}
.select2::before {
  position: absolute;
  top: 2px;
  left: 0;
  width: 100%;
  text-align: center;
  font-size: 12px;
}
.select2::after {
  position: absolute;
  top: -30px;
  left: 20px;
  padding: 3px 5px;
  border-radius: 5px;
  background-color: #999999;
  border: 1px solid #cccccc;
  white-space: nowrap;
  font-size: 12px;
  display: none;
  z-index: 20;
}
.js_del_basket {
  border: 1px solid #fff;
  background: #94d4f1;
  color: #000;
}
/* .js_add_basket::before {
  content: "Выбрать";
} */
.js_add_basket::after {
  content: "Включить в заказ";
}
/* .js_del_basket::before {
  content: "Отменить";
} */
.js_del_basket::after {
  content: "удалить из заказа";
}
.js_del_basket:hover {
  background: #000;
  color: #999999;
}
.js_add_basket:hover {
  background: #94d4f1;
  border-color: #fff;
}
.select2:hover::after {
  display: block;
  color: black;
}
.select2:hover::before {
  display: block;
}
.sku__qv-per-box,
.sku__description {
  display: none;
}
@media (max-width: 1024px) {
  .zakaz-list__item::after{
    width: 30%;
  }
  .zakaz-list__item:last-child:nth-child(odd)::after {
      width: 20%;
  }
  .model__img {
    height: calc(150px + (230 - 150) * ((100vw - 768px) / (1024 - 768)));
  }
  .model__img img {
    height: calc(150px + (230 - 150) * ((100vw - 768px) / (1024 - 768)));
  }
  .sku__img img {
    height: calc(150px * ((100vw - 768px) / (1024 - 768)));
  }
  .model__sku {
    padding-left: calc(0px + (10 - 0) * ((100vw - 768px) / (1024 - 768)));
  }
  .sku__items {

    /*margin-right: calc(0px + (18 - 0) * ((100vw - 769px) / (1024 - 769)));*/
    /*padding: 4px calc(0px + (4 - 0) * ((100vw - 769px) / (1024 - 769))) 7px*/
    /*  calc(0px + (4 - 0) * ((100vw - 769px) / (1024 - 769)));*/
  }
  .model__character {
    font-size: 12px;
  }
  .sku__title {
    width: 80%;
    margin-right: auto;
    margin-left: auto;
  }
  .select2 {
    width: 80%;
  }
  .model__img.sku--cut {
    height: calc(120px + (180 - 120) * ((100vw - 768px) / (1024 - 768)));
  }
}
@media (max-width: 768px) {
  .model__img,
  .model__img img {
    height: calc(170px + (200 - 170) * ((100vw - 600px) / (768 - 600)));
  }
  .sku__img img {
    height: calc(100px + (120 - 100) * ((100vw - 600px) / (768 - 600)));
  }
  .model__sku {
    padding-left: calc(70px + (10 - 0) * ((100vw - 600px) / (768 - 600)));
  }
  .sku__items {
    margin-right: calc(4px + (18 - 4) * ((100vw - 600px) / (768 - 600)));
    padding: 4px calc(2px + (4 - 2) * ((100vw - 600px) / (768 - 600))) 7px
      calc(2px + (4 - 2) * ((100vw - 600px) / (768 - 600)));
  }

  .model__img.sku--cut {
    height: calc(170px + (200 - 170) * ((100vw - 600px) / (768 - 600)));
  }
  .model__img {
    height: calc(170px + (200 - 170) * ((100vw - 600px) / (768 - 600)));
  }
  .sku__img img {
    height: calc(170px + (200 - 170) * ((100vw - 600px) / (768 - 600)));
  }
  .zakaz-list__item {
    flex: 1 1 100%; /* 1 колонка */
    min-width: 100%;
  }
  .zakaz-list__item::before {
    left: 10%;
    width: 40%;
    height: 10px;
    border-bottom: none;
    border-right: none;
  }
  
  /* Правая часть линии (вертикальная) */
  .zakaz-list__item::after {
    left: 50%;
    width: 30%;
    height: 25px;
    border-bottom: none;
  }
  .zakaz-list__item:last-child:nth-child(odd)::before {
    left: 10%;
    width: 40%;
    height: 10px;
    border-bottom: none;
    border-right: none;
  }
  
  .zakaz-list__item:last-child:nth-child(odd)::after {
    left: 50%;
    width: 40%;
    height: 25px;
    border-bottom: none;
  }
}
@media (max-width: 600px) {
  .model__img,
  .model__img img {
    height: calc(170px + (200 - 170) * ((100vw - 410px) / (600 - 410)));
    padding-left: 0px;
  }
  .model__character {
    padding-left: 5px;
    }
  .sku__img img {
    height: calc(100px + (120 - 100) * ((100vw - 410px) / (600 - 410)));
  }
  .model__sku {
    padding-left: calc(0px + (10 - 0) * ((100vw - 410px) / (600 - 410)));
  }
  .sku__items {
    margin-right: calc(4px + (18 - 4) * ((100vw - 410px) / (600 - 410)));
    padding: 4px calc(2px + (4 - 2) * ((100vw - 410px) / (600 - 410))) 7px
      calc(2px + (4 - 2) * ((100vw - 410px) / (600 - 410)));
  }

  .model__img.sku--cut {
    height: calc(170px + (200 - 170) * ((100vw - 410px) / (600 - 410)));
  }
  .model__img {
    height: calc(170px + (200 - 170) * ((100vw - 410px) / (600 - 410)));
  }
  .sku__img img {
    height: calc(170px + (200 - 170) * ((100vw - 410px) / (600 - 410)));
    max-height: 100%;
  }
  .zakaz-list__item::before {
    left: 20%;
      width: 30%;
      height: 10px;
      border-bottom: none;
      border-right: none;
  }
  
  /* Правая часть линии (вертикальная) */
  .zakaz-list__item::after {
    left: 50%;
      width: 35%;
      height: 25px;
      border-bottom: none;
  }
  
  .zakaz-list__item:last-child:nth-child(odd)::before {
    left: 20%;
      width: 30%;
      height: 10px;
      border-bottom: none;
      border-right: none;
  }
  
  .zakaz-list__item:last-child:nth-child(odd)::after {
    left: 50%;
      width: 35%;
      height: 25px;
      border-bottom: none;
  }

}
@media (max-width: 410px) {
  .model__img,
  .model__img img {
    height: calc(170px + (200 - 170) * ((100vw - 320px) / (410 - 320)));
  }
  .sku__img img {
    height: calc(100px + (120 - 100) * ((100vw - 320px) / (410 - 320)));
  }
  .model__sku {
    padding-left: calc(0px + (10 - 0) * ((100vw - 320px) / (410 - 320)));
    gap: 0;
  }
  .sku__items {
    margin-right: calc(4px + (18 - 4) * ((100vw - 320px) / (410 - 320)));
    padding: 4px calc(2px + (4 - 2) * ((100vw - 320px) / (410 - 320))) 7px
      calc(2px + (4 - 2) * ((100vw - 320px) / (410 - 320)));
  }
  .model__character {
    padding-left: 5px;
}

  .model__img.sku--cut {
    height: calc(170px + (200 - 170) * ((100vw - 320px) / (410 - 320)));
  }
  .model__img {
    height: calc(170px + (200 - 170) * ((100vw - 320px) / (410 - 320)));
  }
  .sku__img img {
    height: calc(70px + (200 - 170) * ((100vw - 320px) / (410 - 320)));
    max-width: calc(70px + (200 - 170) * ((100vw - 320px) / (410 - 320)));
}
}

@media (max-width: 320px) {
  .model__img,
  .model__img img {
    height: calc(170px + (200 - 170) * ((100vw - 0px) / (320 - 0)));
  }
  .sku__img img {
    height: calc(100px + (120 - 100) * ((100vw - 0px) / (320 - 0)));
  }
  .model__sku {
    padding-left: calc(0px + (10 - 0) * ((100vw - 0px) / (320 - 0)));
  }
  .sku__items {
    margin-right: calc(4px + (18 - 4) * ((100vw - 0px) / (320 - 0)));
    padding: 4px calc(2px + (4 - 2) * ((100vw - 0px) / (320 - 0))) 7px
      calc(2px + (4 - 2) * ((100vw - 0px) / (320 - 0)));
  }

  .model__img.sku--cut {
    height: calc(170px + (200 - 170) * ((100vw - 0px) / (320 - 0)));
  }
  .model__img {
    height: calc(170px + (200 - 170) * ((100vw - 0px) / (320 - 0)));
  }
  .sku__img img {
    height: calc(170px + (200 - 170) * ((100vw - 0px) / (320 - 0)));
  }
}
.modal {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.5);
  overflow: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  flex-flow: column nowrap;
  justify-content: center; /* см. ниже */
  align-items: center;
  z-index: 99;
  /* Чтобы окно не прилипало к границе
    браузера установим отступы */
  padding: 30px 0;
  display: flex;
  visibility: hidden;
}
.modal__wrap {
  flex-shrink: 0;
  flex-grow: 0;
  width: 100%;
  min-height: 100%;
  margin: auto;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: center;
}
.modal__window {
  margin: 50px 0;
  flex-shrink: 0;
  flex-grow: 0;
  background: #fff;
  background: rgba(240, 240, 240, 0.9);
  border-radius: 15px;
  border: 1px solid #999;
  padding: 10px 15px;
  width: 400px;
  max-width: 60%;
  overflow: visible;
  transition: opacity ease 0.4s;
  transform: scale(0.9);
  opacity: 0;
  font-size: 18px;
  color: #333;
  text-align: center;
}

.modal__text {
  display: flex;
  justify-content: center;
  padding-bottom: 6px;
}
.modal__input {
  display: inline-block;
  width: 20px;
  color: #fff;
  background: rgba(0, 0, 0, 0.6);
  text-align: center;
  border: none;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

select#offer {
  background: rgba(0, 0, 0, 0.6);
  color: #fff;

}

.modal__input::-webkit-inner-spin-button,
.modal__input::-webkit-outer-spin-button {
  -webkit-appearance: none;
}
.modal__text button {
  outline: none;
  -webkit-appearance: none;
  background: rgba(0, 0, 0, 0.4);
  border: none;
  align-items: center;
  justify-content: center;
  width: 18px;
  cursor: pointer;
  margin: 0;
  position: relative;
  padding: 0;
  border-radius: 5px 0 0 5px;
}
.modal__text button.plus {
  border-radius: 0 5px 5px 0;
  margin-right: 5px;
}
.modal__text button:before,
.modal__text button:after {
  display: inline-block;
  position: absolute;
  content: "";
  width: 0.5rem;
  height: 2px;
  background-color: #ddd;
  transform: translate(-50%, -50%);
}
.modal__text button.plus:after {
  transform: translate(-50%, -50%) rotate(90deg);
}
.modal__text button:hover::before,
.modal__text button:hover::after {
  background-color: #94d4f1;
}
.modal__text button.plus:hover::before,
.modal__text button.plus:hover::after {
  background-color: #fbcc95;
}

.modal__description {
  font-size: 12px;
}
.modal__ok {
  margin-top: 15px;
  max-width: 230px;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  background-color: #fbcc95;
  border-radius: 10px;
  padding: 5px 7px;
  text-align: center;
  font-family: montserrat-semibold;
  font-size: 18px;
  color: #000;
  cursor: pointer;
  box-shadow: inset 2px 2px 5px rgba(154, 147, 140, 0.5),
    1px 1px 5px rgba(255, 255, 255, 1);
  transition: background-color 0.4s ease 0.5s;
}
.modal__ok:hover {
  background-color: #94d4f1;
}
.modal__window .close {
  color: #333;
  width: 20px;
  height: 20px;
  top: 6px;
  right: 6px;
  font-size: 40px;
  line-height: 20px;
}
.modal__window .close:hover {
  color: #000;
}
._active-modal {
  visibility: visible;
}
._active-modal .modal__window {
  opacity: 1;
  transform: scale(1);
}
.modal__title {
  margin: 10px 0;
  color: #000;
  font-family: montserrat-semibold;
}
.modal__article {
  /* white-space: nowrap; */
  display: block;
    word-break: break-word;
    overflow-wrap: break-word;
    margin-top: 5px;
    width: 100%;
  text-shadow: #666;
}
._select .sku__title {
  color: #94d4f1;
  transition: all 0.3s ease;
}
._select .sku__img {
  opacity: 0.7;
  transition: all 0.3s ease;
}
._select:hover .sku__img {
  opacity: 1;
}
._select:hover .sku__title {
  color: #fbcc95;
}
.sku__title .square {
  border-color: #fbcc95;
}
.group-header {
  cursor: pointer;
  padding: 5px 15px;
  margin: 0 0 10px;
  /* background-color: #f5f5f5; */
  font-weight: bold;
  position: relative;
  border-radius: 5px;
}

/* .group-header:after {
  content: '>';
  position: absolute;
  right: 15px;
  font-size: 20px;
  transition: transform 0.3s;
}

.group-header.collapsed:after {
  content: 'V';
  /* background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M7 10l5 5 5-5z' fill='%23fff'/%3E%3C/svg%3E"); 
} */

.group-content {
  display: none;
  padding-left: 20px;
  border-left: 1px solid #eee;

}


.group-content.show {
  display: block;
  position: relative;
}
.group-content.show:before {
  content: '';
  background: #eeeeee;
  width: 1px;
  height: 30px;
  position: absolute;
  top:-30px;
  left: -1px;

}
.group-content.show:after {
  content: '';
  background: #000;
  width: 1px;
  height: 30px;
  position: absolute;
  bottom:-14px;
  left: -1px;

}
.group-header {
 text-shadow: 0 0 25px #fff;
  color: #94d4f1;
}
.group-header.collapsed {
  text-shadow: none;
  color: #eeeeee;
}

.series-header {
  cursor: pointer;
  padding: 10px;
  margin: 10px 0;
  /* background-color: #f9f9f9; */
  position: relative;
  border-radius: 3px;
  text-decoration: none;
}
.group-header {
  text-decoration: none;
}
.group-header:hover {
  text-decoration: underline;
}
/* .series-header:after {
  content: '>';
  position: absolute;
  right: 15px;
  font-size: 16px;
  transition: transform 0.3s;
  
}

.series-header.collapsed:after {
  content: 'V';
  /* background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M7 10l5 5 5-5z' fill='%23fff'/%3E%3C/svg%3E");
}  */

.series-content {
  display: none;
  padding-left: 15px;
}

.series-content.show {
  display: block;
}
.group-content .series-header:after {
  content: '';
  position: absolute;
  background: #eeeeee;
  height: 1px;
  width: 20px;
  top: 19px;
  left: -20px;
}
.group-content .series-header {
  font-family: montserrat-regular;
  font-size: 14px;
}

@media (max-width: 600px) {
    .zakaz-list__item {
        width: 100%;
    }
  .bllock__items {
    display: none;
  }
}


.group-header, .series-header {
  position: relative;
  padding-left: 30px; /* Отступ для стрелки */
}

.group-header:before, .series-header:before {
  content: '';
  position: absolute;
  left: 5px;
  top: 50%;
  transform: translateY(-50%) rotate(0deg);
  width: 24px;
  height: 24px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='white' d='M7.41 8.59L12 13.17l4.59-4.58L18 10l-6 6-6-6 1.41-1.41z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  transition: transform 0.3s ease;
}

.series-header:before {
  left: 5px;
  width: 24px;
  height: 24px;
}

.group-header.collapsed:before, 
.series-header.collapsed:before {
  transform: translateY(-50%) rotate(-90deg);
}
@media (max-width: 560px) {
  .catalog .link-all {
    font-size: 16px;
  }
}